%define		module	pexpect
Summary:	Expect module for Python
Summary(pl.UTF-8):	Moduł Pythona automatyzujący zadania, wzorowany na Expect
Name:		python-%{module}
Version:	2.3
Release:	8
License:	PSF
Group:		Development/Languages/Python
Source0:	http://downloads.sourceforge.net/pexpect/pexpect-%{version}.tar.gz
# Source0-md5:	bf107cf54e67bc6dec5bea1f3e6a65c3
URL:		http://pexpect.sourceforge.net/
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pexpect is a pure Python module for spawning child applications;
controlling them; and responding to expected patterns in their output.
Pexpect works like Don Libes' Expect. Pexpect allows your script to
spawn a child application and control it as if a human were typing
commands.

%description -l pl.UTF-8
Pexpect jest modułem napisanym wyłącznie w Pythonie przeznaczonym do
uruchamiania aplikacji i kontroli nad nimi poprzez reagowanie na
znalezione wzorce na ich wyjściu. Pexpect działa podobnie do Expecta
Dona Libesa - pozwala skryptom z ich poziomu uruchomić inne programy i
sprawować nad nimi kontrolę imitując interakcję użytkownika.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p examples/*.py {ANSI,FSM,screen}.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/*.html
%{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/pexpect-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pexpect.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 581ed18
- release 8 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8046176
- automatic change: use py_build/py_install macros

* Sun Aug 18 2013 Elan Ruusamäe <glen@delfi.ee> d380a37
- package egg-info

* Sun Aug 18 2013 Elan Ruusamäe <glen@delfi.ee> f527742
- rebuild with pythonegg deps
- release 6 (by relup.sh)

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> fd06284
- release 5

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5884751
- release 4

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> b35fb36
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 392576d
- release 2

* Wed May 07 2008 Jakub Bogusz <qboosh@pld-linux.org> 2f08e3c
- use __python macro
- BR: rpm-pythonprov

* Fri Apr 25 2008 aredridel <aredridel@pld-linux.org> 0d9b744
- 2.3

* Tue Dec 25 2007 twittner <twittner@pld-linux.org> 176f3d7
- up to 2.2
- noarch

* Fri Aug 31 2007 twittner <twittner@pld-linux.org> 31a995b
- up to 2.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8a21c89
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 355748a
- converted to UTF-8

* Sat Mar 04 2006 Elan Ruusamäe <glen@pld-linux.org> be2649f
- up to 2.0, doc not updated

* Thu Oct 20 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 93419ce
- up to 0.99999b

* Wed Aug 17 2005 Jakub Bogusz <qboosh@pld-linux.org> ae11350
- wrapped, pl cosmetic, shorter sf URLs

* Tue Aug 16 2005 saq <saq@pld-linux.org> f575ff1
- PLD policy, cosmetics

* Sun Aug 14 2005 twittner <twittner@pld-linux.org> d848af5
- added (spec was made by Irek Słonina <br linuxnews pl>)

